# $Revision: 1.11 $, $Date: 2012/01/24 23:59:11 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Set
Summary:	DateTime::Set - datetime sets and set math
Summary(pl.UTF-8):	DateTime::Set - zbiory czasów i matematyka na zbiorach
Name:		perl-DateTime-Set
Version:	0.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab14a78a4912f14312ec44f356f63ea0
URL:		http://search.cpan.org/dist/DateTime-Set/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime >= 0.12
BuildRequires:	perl-Set-Infinite >= 0.59
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Set is a module for datetime sets. It can be used to handle
two different types of sets.

The first is a fixed set of predefined datetime objects. For example,
if we wanted to create a set of datetimes containing the birthdays of
people in our family.

The second type of set that it can handle is one based on the idea of
a recurrence, such as "every Wednesday", or "noon on the 15th day of
every month". This type of set can have fixed starting and ending
datetimes, but neither is required. So our "every Wednesday set" could
be "every Wednesday from the beginning of time until the end of time",
or "every Wednesday after 2003-03-05 until the end of time", or "every
Wednesday between 2003-03-05 and 2004-01-07".

%description -l pl.UTF-8
DateTime::Set to moduł do zbiorów czasów. Może być używany do obsługi
dwóch różnych rodzajów zbiorów.

Pierwszy to stały zbiór predefiniowanych obiektów czasu (datetime). Na
przykład jeśli chcemy stworzyć zbiór czasów zawierający urodziny osób
z naszej rodziny.

Drugi rodzaj zbiorów obsługiwany przez ten moduł jest oparty na idei
rekurencji, takiej jak "każda środa" lub "południe 15 dnia każdego
miesiąca". Ten rodzaj zbioru może mieć stałe czasy początkowe i
końcowe, ale żaden z nich nie jest wymagany. Tak więc "zbiór
wszystkich śród" może być "każdą środą od początku czasu do końca
czasu" lub "każdą środą po 2003-03-05 do końca czasu" lub "każdą środą
między 2003-03-05 a 2004-01-07".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__sed} -i -e 's/use Set::Infinite 0.5502/use Set::Infinite 0.55_02/' lib/Set/Infinite/_recurrence.pm

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/DateTime/*.pm
%{perl_vendorlib}/Set/Infinite/_recurrence.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Set.spec,v $
Revision 1.11  2012/01/24 23:59:11  zbyniu
- up to 0.31

Revision 1.10  2009/08/21 12:50:39  amateja
- updated to 0.28

Revision 1.9  2009/06/18 11:46:48  amateja
- updated to 0.27

Revision 1.8  2007/03/31 19:55:33  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.7  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/08/22 17:49:22  glen
- adjust version for rpm autodeps (thx ankry); rel 3

Revision 1.4  2006/08/22 16:41:27  glen
- rel 2

Revision 1.3  2006/08/22 15:45:51  glen
- package missing file

Revision 1.2  2006/08/19 23:13:11  qboosh
- pl

Revision 1.1  2006/08/12 16:16:07  migo
- initial revision
